{% extends "besoins/base.html" %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Statistiques</li>
{% endblock %}

{% block content %}
<h1 class="mb-5 text-center fw-bold">Statistiques des questionnaires de besoins</h1>

<div class="row border-bottom mb-3">
    <div class="col">
        <form method="get" id="annee_form" class="immediate_submit unmonitor">
            {{ date_form.non_field_errors }}
            <p class="lead">
                Statistiques de {{ date_form.year }}
            </p>
        </form>
    </div>
</div>

<p class="alert alert-warning">Attention: les clients faisant partie de plusieurs services sont comptés plusieurs fois, sauf sur la ligne <i>Totaux</i>, ce qui explique que les additions de colonnes ne coïncident pas.</p>
<div class="row">
    <div class="col">
        <table class="table table-sm table-hover table-striped stat_table">
            <thead>
                <tr><th></th>
                    {% for month in months %}<th class="text-end" scope="col">{{ month }}</th>{% endfor %}
                    <th class="text-end" scope="col">Total</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <th scope="row">Alarme</th>
                    {% for month in months %}
                        <td class="num">{{ results|get_item:month|get_item:'num_alarme'|default_if_none:'-' }}</td>
                    {% endfor %}
                    <td class="num">{{ totaux|get_item:'num_alarme' }}</td>
                </tr>
                <tr>
                    <th scope="row">Transport</th>
                    {% for month in months %}
                        <td class="num">{{ results|get_item:month|get_item:'num_transport'|default_if_none:'-' }}</td>
                    {% endfor %}
                    <td class="num">{{ totaux|get_item:'num_transport' }}</td>
                </tr>
                <tr>
                    <th scope="row">Visites</th>
                    {% for month in months %}
                        <td class="num">{{ results|get_item:month|get_item:'num_visite'|default_if_none:'-' }}</td>
                    {% endfor %}
                    <td class="num">{{ totaux|get_item:'num_visite' }}</td>
                </tr>
                <tr>
                    <th scope="row">SAVD</th>
                    {% for month in months %}
                        <td class="num">{{ results|get_item:month|get_item:'num_savd'|default_if_none:'-' }}</td>
                    {% endfor %}
                    <td class="num">{{ totaux|get_item:'num_savd' }}</td>
                </tr>
                <tr class="table-primary">
                    <th scope="row">Totaux</th>
                    {% for month in months %}
                        <td class="num">{{ results|get_item:month|get_item:'num_total'|default_if_none:'0' }}</td>
                    {% endfor %}
                    <td class="num">{{ totaux|get_item:'num_total' }}</td>
                </tr>
                <tr>
                    <th scope="row" class="pt-5">Non répondus</th>
                    {% for month in months %}
                        <td class="num pt-5">
                            {% with non_repondus=results|get_item:month|get_item:'non_repondus' %}
                            {% if non_repondus %}<a href="{% url 'besoins:liste-non-repondus' %}?year={{ month.year }}&month={{ month.month }}">{{ non_repondus }}</a>{% else %}-{% endif %}
                            {% endwith %}
                        </td>
                    {% endfor %}
                    <td class="num pt-5">{{ totaux|get_item:'non_repondus' }}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
{% endblock %}
